/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The WhitelistResponse model module.
 * @module model/WhitelistResponse
 * @version 2021.12-dev21
 */
class WhitelistResponse {
    /**
     * Constructs a new <code>WhitelistResponse</code>.
     * @alias module:model/WhitelistResponse
     * @param whitelist {Array.<String>} 
     * @param length {Number} 
     * @param method {Array.<String>} 
     */
    constructor(whitelist, length, method) { 
        
        WhitelistResponse.initialize(this, whitelist, length, method);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, whitelist, length, method) { 
        obj['whitelist'] = whitelist;
        obj['length'] = length;
        obj['method'] = method;
    }

    /**
     * Constructs a <code>WhitelistResponse</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/WhitelistResponse} obj Optional instance to populate.
     * @return {module:model/WhitelistResponse} The populated <code>WhitelistResponse</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new WhitelistResponse();

            if (data.hasOwnProperty('whitelist')) {
                obj['whitelist'] = ApiClient.convertToType(data['whitelist'], ['String']);
            }
            if (data.hasOwnProperty('length')) {
                obj['length'] = ApiClient.convertToType(data['length'], 'Number');
            }
            if (data.hasOwnProperty('method')) {
                obj['method'] = ApiClient.convertToType(data['method'], ['String']);
            }
        }
        return obj;
    }


}

/**
 * @member {Array.<String>} whitelist
 */
WhitelistResponse.prototype['whitelist'] = undefined;

/**
 * @member {Number} length
 */
WhitelistResponse.prototype['length'] = undefined;

/**
 * @member {Array.<String>} method
 */
WhitelistResponse.prototype['method'] = undefined;






export default WhitelistResponse;

